Bug 434967 - "man cancel" doesn't work
"man cancel" doesn't work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
:
Depends On: 249768
Blocks: 435294
  Show dependency treegraph
 
Reported: 2008-02-26 11:07 EST by Tim Waugh
Modified: 2010-10-22 18:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-02-26 11:07:51 EST
This affects Red Hat Enterprise Linux 5 as well.

+++ This bug was initially created as a clone of Bug #249768 +++

Description of problem:
cups uses the "alternatives" technology and so it calls the following script
during installation:
/usr/sbin/alternatives --install /usr/bin/lpr print /usr/bin/lpr.cups 40 \
         --slave /usr/bin/lp print-lp /usr/bin/lp.cups \
         --slave /usr/bin/lpq print-lpq /usr/bin/lpq.cups \
         --slave /usr/bin/lprm print-lprm /usr/bin/lprm.cups \
         --slave /usr/bin/lpstat print-lpstat /usr/bin/lpstat.cups \
         --slave /usr/bin/cancel print-cancel /usr/bin/cancel.cups \
         --slave /usr/sbin/lpc print-lpc /usr/sbin/lpc.cups \
         --slave /usr/share/man/man1/cancel.1.gz print-cancelman
/usr/share/man/man1/cancel-cups.1.gz \
...

In this case, "/usr/share/man/man1/cancel-cups.1.gz" is the "real" physical file
and /usr/share/man/man1/cancel.1.gz should (via
/etc/alternatives/print-cancelman) to the real one.

Unfortunately the cancel-manual is not named "cancel-cups.1.gz" but only
"cancel.1.gz" instead. So the link /etc/alternatives/print-cancelman points is
dangling.

Version-Release number of selected component (if applicable):
1.2.12-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. install cups
  
Additional info:
The problem can be fixed by applying the following patch to cups.spec:
--- cups.spec.old       2007-07-13 11:49:07.000000000 +0200
+++ cups.spec   2007-07-26 23:19:01.000000000 +0200
@@ -202,7 +202,7 @@
 cd $RPM_BUILD_ROOT%{_sbindir}
 mv lpc lpc.cups
 cd $RPM_BUILD_ROOT%{_mandir}/man1
-for i in lp lpq lpr lprm lpstat; do
+for i in cancel lp lpq lpr lprm lpstat; do
        mv $i.1 $i-cups.1
 done
 cd $RPM_BUILD_ROOT%{_mandir}/man8

The patch basically adds the "cancel" manual to the list of manual files which
should be moved to *-cups so that they can be used with the mentioned
"alternatives" script.

There is only one small problem: after updating, the links are still broken
until the next call of "alternatives --config print"
Comment 2 Phil Knirsch 2008-04-30 11:50:05 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 3 RHEL Product and Program Management 2008-06-02 16:17:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2009-01-20 16:59:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0201.html

Note You need to log in before you can comment on or make changes to this bug.